
CoCoALib - Support #1687

Release CoCoALib 0.99850

13 Jun 2022 15:12 - John Abbott

Status: In Progress Start date: 13 Jun 2022

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 50%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.99850 Spent time: 3.25 hours

Description

Everything related to making a CoCoALib release:

Redmine Roadmap: close or postpone issue

Redmine Release issues: check percentages, check timings

Finalize

update version for cocoalib and cocoa5

make veryclean; make (full make, with all tests and examples and CoCoA-5..)

check version in all documentation/manuals

cd src/tests/; make valgrind

cd src/CoCoA-5; make ManExamples (readline may truncate echo lines if too long)

cvs log -d ">2020-05-01" -S -N > LOG-CoCoA.txt

~/shell-scripts/cocoalib-cvs-snapshot.sh

upload examples

upload manual

update webpage

publish manual (arXiv? ResearchGate?)

close release on Redmine

--> send message to facebook page

Related issues:

Related to CoCoALib - Support #1810: Release CoCoALib 0.99900 New 28 Mar 2024

Related to CoCoALib - Support #1481: Release CoCoALib 0.99800 Closed 28 Aug 2020

History

#1 - 13 Jun 2022 15:13 - John Abbott

Release issues:

https://cocoa.dima.unige.it/redmine/projects/cocoalib/issues?query_id=48

Here is a list of the main changes (from 0.99800)

2024-03-28: Work in progress

Added:

added fns elim and saturate

added fn RandomNBitPrime

added fn CatalanNumber

added fn CoeffVecWRTSupport

added fns CyclotomicTest and CyclotomicIndex

added fns IsLRSDegenerate, IsLRSDegenerateOrder  (all by Nico Mexis)

added fn LRSDegeneracyOrder  and  LRSDegeneracyOrders

added fn cyclotomic (ported from CoCoA, orig by Fabio Rossi); also now faster

added fns InvTotient, InvTotientBound, InvTotientBoundUpto

added fn CoprimeFactor

added fn IsPrimitivePoly  (name is not ideal)

added fn AllFactors (for a small integer)

added class TupleIter for iterating over tuples

added operators +=  -=  *=  and  /= for matrices

Removed:

SizeInBase is now obsolete

Renamed/changed:

28 Apr 2024 1/3

https://cocoa.dima.unige.it/redmine/projects/cocoalib/issues?query_id=48


REVISED SEMANTICS for IsIrred: for polys applies only to primitive part (i.e. ignores content)

new interface for exponents

Improved:

fixed bug in IsPalindromic  (could cause undefined behaviour)

FloorLog2 is now faster

fixed bug when computing rank of matrix with 0 rows (now gives 0)

Interruptible:

#2 - 30 Nov 2022 18:29 - Anna Maria Bigatti

- Related to Bug #1662: txt2tags: problem with filenames containing "_" or "-" added

#3 - 08 Feb 2024 21:51 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

#4 - 16 Mar 2024 21:25 - John Abbott

- % Done changed from 10 to 50

#5 - 28 Mar 2024 15:28 - Anna Maria Bigatti

- Related to Support #1810: Release CoCoALib 0.99900 added

#6 - 28 Mar 2024 15:29 - Anna Maria Bigatti

- Related to Support #1481: Release CoCoALib 0.99800 added

#7 - 28 Mar 2024 15:36 - Anna Maria Bigatti

- Related to Support #1555: Software licence added

#8 - 28 Mar 2024 16:06 - Anna Maria Bigatti

- Related to Design #854: Function MakeTermOrd should be renamed MakeTermOrdMat? added

#9 - 28 Mar 2024 16:10 - Anna Maria Bigatti

- Related to deleted (Support #1555: Software licence)

#10 - 28 Mar 2024 16:22 - Anna Maria Bigatti

- Related to deleted (Design #854: Function MakeTermOrd should be renamed MakeTermOrdMat?)

#11 - 28 Mar 2024 16:44 - Anna Maria Bigatti

- Related to Bug #111: Mod fn for computing remainder added

#12 - 28 Mar 2024 16:44 - Anna Maria Bigatti

- Related to Bug #536: Make RingBase::myCharacteristic a fn rather than a proc added

#13 - 28 Mar 2024 16:45 - Anna Maria Bigatti

- Related to Bug #1361: Compilation fails when compiling with libgsl added
#14 - 28 Mar 2024 16:46 - Anna Maria Bigatti

- Related to deleted (Bug #1662: txt2tags: problem with filenames containing "_" or "-")

#15 - 29 Mar 2024 08:22 - Anna Maria Bigatti

done    Redmine Roadmap: close or postpone issue

done    Redmine Release issues: check percentages, check timings

done    Finalize

done    update version for cocoalib and cocoa5

done    make veryclean; make (full make, with all tests and examples and CoCoA-5..)

check version in all documentation/manuals

no valgrind on MacOS    cd src/tests/; make valgrind

OpenSocket fails    cd src/CoCoA-5; make ManExamples (readline may truncate echo lines if too long)

wip     cvs log -d ">2020-05-01" -S -N > LOG-CoCoA.txt

~/shell-scripts/cocoalib-cvs-snapshot.sh

upload examples

upload manual

update webpage

publish manual (arXiv? ResearchGate?)

close release on Redmine

#16 - 29 Mar 2024 08:59 - Anna Maria Bigatti

- Description updated

- Assignee set to Anna Maria Bigatti

#17 - 29 Mar 2024 09:00 - Anna Maria Bigatti

- Related to deleted (Bug #111: Mod fn for computing remainder)

#18 - 29 Mar 2024 09:00 - Anna Maria Bigatti

- Related to deleted (Bug #536: Make RingBase::myCharacteristic a fn rather than a proc)

#19 - 29 Mar 2024 09:00 - Anna Maria Bigatti

- Related to deleted (Bug #1361: Compilation fails when compiling with libgsl)

#20 - 29 Mar 2024 10:42 - Anna Maria Bigatti

- Description updated

Powered by TCPDF (www.tcpdf.org)

28 Apr 2024 3/3

http://www.tcpdf.org

